
module.exports = {
  apps: [
    {
      port        : 2987,
      name        : "card-info",
      script      : "dist/api.js",
      watch       : true,
      instances   : 1,
      exec_mode   : 'cluster',
      log_date_format: "YYYY-MM-DD HH:mm:ss",
      error_file  : '/data/logs/card_info/error/error.log',             // error日志路径
      out_file    : '/data/logs/card_info/out/info.log',             // out日志路径,
      cwd         : '/data/apps/card_info',
      env: {
        PORT: 2987,
        DEBUG: "jc:*",
        NODE_ENV: "production",
      }
    }
  ]
}
