import {Cfg} from "../../common/DataParser";

export class EffectCardCfg implements Cfg{
	name: "EffectCardCfg";

	public id: number;
	public org_gift: string;
	public type_id: number;
	public count: number;
	public weight: number;
	public affix1id: number;
	public affix2id: number;
	public stageunit_id: number;
	public quoteskill1id: number;
	public quoteskill2id: number;
	public quoteskill3id: number;
	public quoteskill4id: number;
	public followeddeff: number;
	public followdouble: number;
	public primaryaccess: number;
	public intermediateaccess: number;

	public decode(data: any) {
        this.id = data.id;
        this.org_gift = data.org_gift;
        this.type_id = data.type_id;
        this.count = data.count;
        this.weight = data.weight;
        this.affix1id = data.affix1id;
        this.affix2id = data.affix2id;
        this.stageunit_id = data.stageunit_id;
        this.quoteskill1id = data.quoteskill1id;
        this.quoteskill2id = data.quoteskill2id;
        this.quoteskill3id = data.quoteskill3id;
        this.quoteskill4id = data.quoteskill4id;
        this.followeddeff = data.followeddeff;
        this.followdouble = data.followdouble;
        this.primaryaccess = data.primaryaccess;
        this.intermediateaccess = data.intermediateaccess;
	};
	
	public isOK (uniqueID: number, param1: any, param2: any): boolean {
		if((param1 == undefined || param1 == null) && (param2 == undefined || param2 == null)){
			return this.id == uniqueID;
		}
		if(param2 == undefined || param2 == null){
			return this.id == uniqueID && this.id == param1;
		}
		return this.id == uniqueID && this.id == param1 && this.id == param2;
	};
};