import {Cfg} from "../../common/DataParser";

export class HeroCfg implements Cfg{
	name: "HeroCfg";

	public id: number;
	public herounit_id: number;
	public org_gift: string;
	public ex_skill: number;
	public Unlockgroup2id: number;
	public Unlockgroup2num: number;
	public Unlockgroup3id: number;
	public Unlockgroup3num: number;
	public Unlockgroup4id: number;
	public Unlockgroup4num: number;
	public groupmax: number;
	public follower1id: number;
	public follower2id: number;
	public follower3id: number;
	public follower4id: number;

	public decode(data: any) {
        this.id = data.id;
        this.herounit_id = data.herounit_id;
        this.org_gift = data.org_gift;
        this.ex_skill = data.ex_skill;
        this.Unlockgroup2id = data.Unlockgroup2id;
        this.Unlockgroup2num = data.Unlockgroup2num;
        this.Unlockgroup3id = data.Unlockgroup3id;
        this.Unlockgroup3num = data.Unlockgroup3num;
        this.Unlockgroup4id = data.Unlockgroup4id;
        this.Unlockgroup4num = data.Unlockgroup4num;
        this.groupmax = data.groupmax;
        this.follower1id = data.follower1id;
        this.follower2id = data.follower2id;
        this.follower3id = data.follower3id;
        this.follower4id = data.follower4id;
	};
	
	public isOK (uniqueID: number, param1: any, param2: any): boolean {
		if((param1 == undefined || param1 == null) && (param2 == undefined || param2 == null)){
			return this.id == uniqueID;
		}
		if(param2 == undefined || param2 == null){
			return this.id == uniqueID && this.id == param1;
		}
		return this.id == uniqueID && this.id == param1 && this.id == param2;
	};
};