import {Cfg} from "../../common/DataParser";

export class DropItemCfg implements Cfg{
	name: "DropItemCfg";

	public id: number;
	public itemtypeid: number;
	public Price: string;
	public autopen: number;
	public drop: string;
	public weight: number;
	public candtypeid: number;
	public candgradeid: number;
	public additionalcandidates: string;
	public extraction_times: number;
	public delete: number;

	public decode(data: any) {
        this.id = data.id;
        this.itemtypeid = data.itemtypeid;
        this.Price = data.Price;
        this.autopen = data.autopen;
        this.drop = data.drop;
        this.weight = data.weight;
        this.candtypeid = data.candtypeid;
        this.candgradeid = data.candgradeid;
        this.additionalcandidates = data.additionalcandidates;
        this.extraction_times = data.extraction_times;
        this.delete = data.delete;
	};
	
	public isOK (uniqueID: number, param1: any, param2: any): boolean {
		if((param1 == undefined || param1 == null) && (param2 == undefined || param2 == null)){
			return this.id == uniqueID;
		}
		if(param2 == undefined || param2 == null){
			return this.id == uniqueID && this.id == param1;
		}
		return this.id == uniqueID && this.id == param1 && this.id == param2;
	};
};