import {Cfg} from "../../common/DataParser";

export class FormulaCfg implements Cfg{
	name: "FormulaCfg";

	public id: number;
	public parname: string;
	public code: string;
	public number: number;
	public numtypeid: number;
	public prerequisite1id: number;
	public prerequisite2id: number;

	public decode(data: any) {
        this.id = data.id;
        this.parname = data.parname;
        this.code = data.code;
        this.number = data.number;
        this.numtypeid = data.numtypeid;
        this.prerequisite1id = data.prerequisite1id;
        this.prerequisite2id = data.prerequisite2id;
	};
	
	public isOK (uniqueID: number, param1: any, param2: any): boolean {
		if((param1 == undefined || param1 == null) && (param2 == undefined || param2 == null)){
			return this.id == uniqueID;
		}
		if(param2 == undefined || param2 == null){
			return this.id == uniqueID && this.id == param1;
		}
		return this.id == uniqueID && this.id == param1 && this.id == param2;
	};
};