import {Cfg} from "../../common/DataParser";

export class IncomeCfg implements Cfg{
	name: "IncomeCfg";

	public id: number;
	public income_premiseID: number;
	public income: string;
	public repeat: number;
	public frequency: number;
	public interval: number;

	public decode(data: any) {
        this.id = data.id;
        this.income_premiseID = data.income_premiseID;
        this.income = data.income;
        this.repeat = data.repeat;
        this.frequency = data.frequency;
        this.interval = data.interval;
	};
	
	public isOK (uniqueID: number, param1: any, param2: any): boolean {
		if((param1 == undefined || param1 == null) && (param2 == undefined || param2 == null)){
			return this.id == uniqueID;
		}
		if(param2 == undefined || param2 == null){
			return this.id == uniqueID && this.id == param1;
		}
		return this.id == uniqueID && this.id == param1 && this.id == param2;
	};
};