import {Cfg} from "../../common/DataParser";

export class MatchCfg implements Cfg{
	name: "MatchCfg";

	public id: number;
	public parname: string;
	public consume: string;
	public winget: string;
	public failget: string;
	public escapeget: string;

	public decode(data: any) {
        this.id = data.id;
        this.parname = data.parname;
        this.consume = data.consume;
        this.winget = data.winget;
        this.failget = data.failget;
        this.escapeget = data.escapeget;
	};
	
	public isOK (uniqueID: number, param1: any, param2: any): boolean {
		if((param1 == undefined || param1 == null) && (param2 == undefined || param2 == null)){
			return this.id == uniqueID;
		}
		if(param2 == undefined || param2 == null){
			return this.id == uniqueID && this.id == param1;
		}
		return this.id == uniqueID && this.id == param1 && this.id == param2;
	};
};