import {Cfg} from "../../common/DataParser";

export class SkillCfg implements Cfg{
	name: "SkillCfg";

	public id: number;
	public skill_nameshow: string;
	public skill_typeid: number;
	public affix1id: number;
	public affix2id: number;
	public indicate_time: number;
	public tigger_typeid: number;
	public cond_typeid: number;
	public cond_rangeid: number;
	public cond_num: number;
	public effect_typeid: number;
	public friendlyid: number;
	public targetid: number;
	public ridicule: number;
	public spellpower: number;
	public halve: number;
	public repeatedeffect: number;
	public rangeid: number;
	public select_targetID: number;
	public eff_numtypeid: number;
	public eff_num: number;
	public eff_nummax: number;
	public num_signid: number;
	public edd_effid: number;
	public edd_effnum: number;
	public eddeffnum_signid: number;
	public release_times: number;
	public release_timesmax: number;
	public quoteunitid: number;
	public quoteunit_times: number;
	public quoteunit_timesmax: number;
	public quotecardid: number;
	public quotecard_times: number;
	public quotecard_timesmax: number;
	public quoteskillid: number;
	public quoteskill_times: number;
	public quoteskill_timesmax: number;
	public skill_usersid: number;
	public quoteskill2id: number;
	public quoteskill2_times: number;
	public quoteskill2_timesmax: number;
	public skill2_usersid: number;
	public getskillid: number;
	public getskill_times: number;
	public getskill_timesmax: number;
	public skill_ownersid: number;
	public getskill2id: number;
	public getskill2_times: number;
	public getskill2_timesmax: number;
	public skill2_ownersid: number;
	public getskill3id: number;
	public getskill3_times: number;
	public getskill3_timesmax: number;
	public skill3_ownersid: number;

	public decode(data: any) {
        this.id = data.id;
        this.skill_nameshow = data.skill_nameshow;
        this.skill_typeid = data.skill_typeid;
        this.affix1id = data.affix1id;
        this.affix2id = data.affix2id;
        this.indicate_time = data.indicate_time;
        this.tigger_typeid = data.tigger_typeid;
        this.cond_typeid = data.cond_typeid;
        this.cond_rangeid = data.cond_rangeid;
        this.cond_num = data.cond_num;
        this.effect_typeid = data.effect_typeid;
        this.friendlyid = data.friendlyid;
        this.targetid = data.targetid;
        this.ridicule = data.ridicule;
        this.spellpower = data.spellpower;
        this.halve = data.halve;
        this.repeatedeffect = data.repeatedeffect;
        this.rangeid = data.rangeid;
        this.select_targetID = data.select_targetID;
        this.eff_numtypeid = data.eff_numtypeid;
        this.eff_num = data.eff_num;
        this.eff_nummax = data.eff_nummax;
        this.num_signid = data.num_signid;
        this.edd_effid = data.edd_effid;
        this.edd_effnum = data.edd_effnum;
        this.eddeffnum_signid = data.eddeffnum_signid;
        this.release_times = data.release_times;
        this.release_timesmax = data.release_timesmax;
        this.quoteunitid = data.quoteunitid;
        this.quoteunit_times = data.quoteunit_times;
        this.quoteunit_timesmax = data.quoteunit_timesmax;
        this.quotecardid = data.quotecardid;
        this.quotecard_times = data.quotecard_times;
        this.quotecard_timesmax = data.quotecard_timesmax;
        this.quoteskillid = data.quoteskillid;
        this.quoteskill_times = data.quoteskill_times;
        this.quoteskill_timesmax = data.quoteskill_timesmax;
        this.skill_usersid = data.skill_usersid;
        this.quoteskill2id = data.quoteskill2id;
        this.quoteskill2_times = data.quoteskill2_times;
        this.quoteskill2_timesmax = data.quoteskill2_timesmax;
        this.skill2_usersid = data.skill2_usersid;
        this.getskillid = data.getskillid;
        this.getskill_times = data.getskill_times;
        this.getskill_timesmax = data.getskill_timesmax;
        this.skill_ownersid = data.skill_ownersid;
        this.getskill2id = data.getskill2id;
        this.getskill2_times = data.getskill2_times;
        this.getskill2_timesmax = data.getskill2_timesmax;
        this.skill2_ownersid = data.skill2_ownersid;
        this.getskill3id = data.getskill3id;
        this.getskill3_times = data.getskill3_times;
        this.getskill3_timesmax = data.getskill3_timesmax;
        this.skill3_ownersid = data.skill3_ownersid;
	};
	
	public isOK (uniqueID: number, param1: any, param2: any): boolean {
		if((param1 == undefined || param1 == null) && (param2 == undefined || param2 == null)){
			return this.id == uniqueID;
		}
		if(param2 == undefined || param2 == null){
			return this.id == uniqueID && this.id == param1;
		}
		return this.id == uniqueID && this.id == param1 && this.id == param2;
	};
};