    //[{weight}]
    /**
     * [计算权重]
     * @param  {[array]} obj_vec [对象数组，对象中要有权重变量weight]
     * @return {[number]}         [obj_vec数组索引]
     */
    export function calcWeight(obj_vec: any[]) {
        let all_weight = 0;
        let wvec = [];
        for (let obj of obj_vec) {
            all_weight += Math.max(0, obj.weight);
            wvec.push(all_weight);
        }
        if (all_weight <= 0) {
            return 0;
        }

        let ret = 0;
        let rand = Math.random() * all_weight;
        for (let i = 0; i < wvec.length; i++) {
            if (rand < wvec[i]) {
                ret = i;
                break;
            }
        }
        return ret;
    };